## ppx-type-conv 113.33.03

=== Makefile ===
# Generic Makefile for oasis project

SETUP := setup.exe
NAME := ppx_type_conv
PREFIX = $(shell grep ^prefix= setup.data | cut -d\" -f 2)

# Default rule
default: build

setup.exe: setup.ml
	ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	for f in setup.*; do [ $$f = $@ -o $$f = setup.ml ] || rm -f $$f; done

build: $(SETUP) setup.data
	./$(SETUP) -build $(BUILDFLAGS)
	$(MAKE) $(NAME).install

doc: $(SETUP) setup.data build
	./$(SETUP) -doc $(DOCFLAGS)

test: $(SETUP) setup.data build
	./$(SETUP) -test $(TESTFLAGS)

all: $(SETUP)
	./$(SETUP) -all $(ALLFLAGS)
	$(MAKE) $(NAME).install

$(NAME).install: install.ml setup.log setup.data
	ocaml -I "$(OCAML_TOPLEVEL_PATH)" install.ml

install: $(NAME).install
	opam-installer -i --prefix $(PREFIX) $(NAME).install

uninstall: $(NAME).install
	opam-installer -u --prefix $(PREFIX) $(NAME).install

reinstall: $(NAME).install
	opam-installer -u --prefix $(PREFIX) $(NAME).install &> /dev/null || true
	opam-installer -i --prefix $(PREFIX) $(NAME).install

bin.tar.gz: $(NAME).install
	rm -rf _install
	mkdir _install
	opam-installer -i --prefix _install $(NAME).install
	tar czf bin.tar.gz -C _install .
	rm -rf _install

bin.lzo: $(NAME).install
	rm -rf _install
	mkdir _install
	opam-installer -i --prefix _install $(NAME).install
	cd _install && lzop -1 -P -o ../bin.lzo `find . -type f`
	rm -rf _install

clean: $(SETUP)
	./$(SETUP) -clean $(CLEANFLAGS)

distclean: $(SETUP)
	./$(SETUP) -distclean $(DISTCLEANFLAGS)

configure: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

setup.data: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: default build doc test all install uninstall reinstall clean distclean configure

=== debian/changelog ===
ppx-type-conv (113.33.03-1) unstable; urgency=medium

  * Initial release (Closes: #833495)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 05 Aug 2016 10:13:45 +0200

=== debian/control ===
Source: ppx-type-conv
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 9),
 ocaml-nox,
 ocaml-findlib,
 opam,
 libjs-build-tools-ocaml-dev,
 libfindlib-ocaml-dev,
 libppx-tools-ocaml-dev (>= 0.99.3),
 libppx-core-ocaml-dev,
 libppx-deriving-ocaml-dev,
 libppx-driver-ocaml-dev,
 dh-ocaml
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ppx-type-conv.git
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ppx-type-conv.git
Homepage: https://github.com/janestreet/ppx_type_conv

Package: libppx-type-conv-ocaml-dev
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: support library for type-driven code generators (dev files)
 The type_conv library factors out functionality needed by different
 preprocessors that generate code from type specifications.
 .
 This package contains development files.

Package: libppx-type-conv-ocaml
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: support library for type-driven code generators (runtime files)
 The type_conv library factors out functionality needed by different
 preprocessors that generate code from type specifications.
 .
 This package contains runtime files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_configure:
	./configure --prefix /usr

override_dh_auto_install:
	opam-installer --prefix=debian/tmp --libdir=.$(OCAML_STDLIB_DIR) ppx_type_conv.install

override_dh_install:
	dh_install --fail-missing

=== debian/watch ===
version=3
opts=uversionmangle=s/-rc/~rc/ https://github.com/janestreet/ppx_type_conv/tags /.*/archive/([\d\.\-rc]+)\.tar\.gz
